View Issue Details

IDProjectCategoryView StatusLast Update
00301722.x IDE BugsCode EditorPublic2018-11-12 11:18
ReporterDanAssigned ToMike Dailly 
PriorityLowSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Platform-OSWindows 10OS VersionPro x64
Product Version2.1.5 
Target Version2.2.1Fixed in Version2.2.1 
Summary0030172: Code Editor: Broken constant "of_challenge_lose", appears as "of_challen"
DescriptionAutocomplete in the Code Editor shows a broken constant, as "of_challenge_lose" appears as "of_challen", as there is a linebreak in the constant name in fnames.

Confirmed still an issue in Beta IDE v2.2.1.361 Beta Runtime v2.2.1.273
Steps To Reproduce1. Start GMS2, create a new project.
2. Open a code editor and type/paste "of_challe"
3. Observe the suggestions are as per the screenshot attached.
Repro: 100%
Tagsfnames, IDE
2.x IDE Found In2.1.5.322
2.x Runtime Found In2.1.5.246
2.x IDE Verified In2.2.1.366
2.x Runtime Verified In2.2.1.277

Activities

Dan

2018-11-06 17:18

Adminstrator  

Mike Dailly

2018-11-07 14:18

Developer   ~0061970

fixed in green - there was a newline in the middle of the constant....

Dan

2018-11-12 11:18

Adminstrator   ~0062008

All good now. Closing.